Package oracle.jdbc.diagnostics

## Class Parameter.PropertiesParameter

- java.lang.Object
- - oracle.jdbc.diagnostics.Parameter<java.util.Properties>
  - - oracle.jdbc.diagnostics.Parameter.PropertiesParameter

Enclosing class:
  Parameter<T>

    protected static final class Parameter.PropertiesParameter
    extends Parameter<java.util.Properties>

### Nested Class Summary

### Nested classes/interfaces inherited from class oracle.jdbc.diagnostics.Parameter

`Parameter.ByteBufferParameter, Parameter.PacketDumpParameter, Parameter.PropertiesParameter`

### Field Summary

### Fields inherited from class oracle.jdbc.diagnostics.Parameter

`BLINDED, value`

### Constructor Summary

Constructors
`protected` `PropertiesParameter​(java.lang.Object v)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `basicFormat()`

### Methods inherited from class oracle.jdbc.diagnostics.Parameter

`arg, main, repeat, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PropertiesParameter

    protected PropertiesParameter​(java.lang.Object v)

### Method Detail

#### basicFormat

    protected java.lang.String basicFormat()

Overrides:
  `basicFormat` in class `Parameter<java.util.Properties>`